Users endpoints
GET /api/v1/projects/{project_id}/users
Section titled “GET /api/v1/projects/{project_id}/users”List Users
| Parameter | In | Type | Required | Notes |
|---|---|---|---|---|
project_id |
path | string (uuid) | yes | |
sort |
query | "cost" | "errors" | "traces" |
no | Default "cost". |
limit |
query | integer | no | min 1, max 200 Default 50. |
cursor |
query | string or null | no | |
from |
query | string (date-time) or null | no | |
to |
query | string (date-time) or null | no |
| Status | Description | Body |
|---|---|---|
| 200 | Successful Response | application/json: UserListOut |
| 422 | Validation Error | application/json: HTTPValidationError |
GET /api/v1/projects/{project_id}/users/{external_user_id}
Section titled “GET /api/v1/projects/{project_id}/users/{external_user_id}”User Detail
| Parameter | In | Type | Required | Notes |
|---|---|---|---|---|
project_id |
path | string (uuid) | yes | |
external_user_id |
path | string | yes | min length 1, max length 257, pattern ^[^\x00]*$ |
from |
query | string (date-time) or null | no | |
to |
query | string (date-time) or null | no |
| Status | Description | Body |
|---|---|---|
| 200 | Successful Response | application/json: UserDetailOut |
| 422 | Validation Error | application/json: HTTPValidationError |